//////////////////////////////////////////
// BMPViewer.h
// Copyright (c) 09/08/2002 by BCCSkelton
//////////////////////////////////////////
//BCCSkeltonのヘッダー−これに必要なヘッダーが入っている
#include	"BCCSkelton.h"
//リソースIDのヘッダー
#include	"ResBMPViewer.h"

/////////////////////////////////////////////////////////////////////
//CMyWndクラスをCSDIクラスから派生させ、メッセージ用の関数を宣言する
/////////////////////////////////////////////////////////////////////
class CMyWnd : public CSDI
{
public:	//以下はコールバック関数マクロと関連している
	//２重起動防止用のMutex用ID名称
	CMyWnd(char* UName) : CSDI(UName) {}
	//メニュー項目、ダイアログコントロール関連
	bool OnOpen(WPARAM, LPARAM);
	bool OnSave();
	bool OnSaveas();
	bool OnExit();
	bool OnInfo();
	bool OnDump();
	bool OnHelp();
	bool OnVersion();
	//ウィンドウメッセージ関連
	bool OnCreate(WPARAM, LPARAM);
	bool OnDropFiles(WPARAM, LPARAM);
	bool OnSize(WPARAM, LPARAM);
	bool OnPaint(WPARAM, LPARAM);
	bool OnClose(WPARAM, LPARAM);
};

////////////////////////////////////////////////////////////////////////
//派生させたCMyWndクラスのインスタンスとコールバック関数(マクロ）の作成
//主ウィンドウはダイアログと違い、コールバック関数は一つしか作れない
////////////////////////////////////////////////////////////////////////
CMyWnd BMPViewer("BMPViewer");	//ウィンドウクラスインスタンスの生成

BEGIN_SDIMSG(BMPViewer)	//ダイアログと違い、コールバック関数名を特定しない
	//メニュー項目、ダイアログコントロール関連
	ON_COMMAND(BMPViewer, IDM_OPEN, OnOpen(wParam, lParam))
	ON_COMMAND(BMPViewer, IDM_SAVE, OnSave())
	ON_COMMAND(BMPViewer, IDM_SAVEAS, OnSaveas())
	ON_COMMAND(BMPViewer, IDM_EXIT, OnExit())
	ON_COMMAND(BMPViewer, IDM_INFO, OnInfo())
	ON_COMMAND(BMPViewer, IDM_DUMP, OnDump())
	ON_COMMAND(BMPViewer, IDM_HELP, OnHelp())
	ON_COMMAND(BMPViewer, IDM_VERSION, OnVersion())
	//ウィンドウメッセージ関連
	ON_CREATE(BMPViewer)
	ON_(BMPViewer, WM_DROPFILES, OnDropFiles(wParam, lParam))
	ON_SIZE(BMPViewer)
	ON_PAINT(BMPViewer)
	ON_CLOSE(BMPViewer)
END_WNDMSG

///////////////////
//ツールバーの作成
///////////////////
CTBAR TBar;

///////////////////////
//ステータスバーの作成
///////////////////////
CSBAR SBar;

////////////////////////
//コモンダイアログの作成
////////////////////////
CMNDLG cmndlg;

///////////////////////
//仮想ウィンドウの作成
///////////////////////
CANVAS cvs;

///////////////////////////////////////////
// CDLGクラスからSELECTCLRDLGクラスを派生
// 複数の同一ダイアログ変数とダイアログも作
// れるが、一つのダイアログに一つの派生ダイ
// アログクラスを作成するのが基本
///////////////////////////////////////////
class SELECTCLRDLG : public CDLG {
public:
	bool OnInit(WPARAM, LPARAM);
	bool OnIdok();
};

////////////////////////////////////////////////////////////////////////////
// SELECTCLRDLGクラスダイアログ変数の生成とそのコールバック関数（マクロ）を定義
// 複数同一クラスのダイアログを作成することを予期してコールバック関数を明記
////////////////////////////////////////////////////////////////////////////
SELECTCLRDLG selectclrdlg;

BEGIN_MODALDLGMSG(selectclrdlgProc, selectclrdlg)	//第1引数がコールバック関数の名前
	ON_COMMAND(selectclrdlg, IDOK, OnIdok())
END_DLGMSG

///////////////////////////////////////////
// CDLGクラスからBMPINFODLGクラスを派生
// 複数の同一ダイアログ変数とダイアログも作
// れるが、一つのダイアログに一つの派生ダイ
// アログクラスを作成するのが基本
///////////////////////////////////////////
class BMPINFODLG : public CDLG {
public:
	bool OnInit(WPARAM, LPARAM);
	bool OnIdhelp();
	bool OnIdok();
};

////////////////////////////////////////////////////////////////////////////
// BMPINFODLGクラスダイアログ変数の生成とそのコールバック関数（マクロ）を定義
// 複数同一クラスのダイアログを作成することを予期してコールバック関数を明記
////////////////////////////////////////////////////////////////////////////
BMPINFODLG bmpinfodlg;

BEGIN_MODALDLGMSG(bmpinfodlgProc, bmpinfodlg)	//第1引数がコールバック関数の名前
	ON_COMMAND(bmpinfodlg, IDHELP, OnIdhelp())
	ON_COMMAND(bmpinfodlg, IDOK, OnIdok())
END_DLGMSG

///////////////////////////////////////////
// CDLGクラスからDUMPDLGクラスを派生
// 複数の同一ダイアログ変数とダイアログも作
// れるが、一つのダイアログに一つの派生ダイ
// アログクラスを作成するのが基本
///////////////////////////////////////////
class DUMPDLG : public CDLG {
public:
	bool OnInit(WPARAM, LPARAM);
	bool OnIdok();
};

////////////////////////////////////////////////////////////////////////////
// DUMPDLGクラスダイアログ変数の生成とそのコールバック関数（マクロ）を定義
// 複数同一クラスのダイアログを作成することを予期してコールバック関数を明記
////////////////////////////////////////////////////////////////////////////
DUMPDLG dumpdlg;

BEGIN_MODALDLGMSG(dumpdlgProc, dumpdlg)	//第1引数がコールバック関数の名前
	ON_COMMAND(dumpdlg, IDOK, OnIdok())
END_DLGMSG

///////////////////////////////////////////
// CDLGクラスからHELPDLGクラスを派生
// 複数の同一ダイアログ変数とダイアログも作
// れるが、一つのダイアログに一つの派生ダイ
// アログクラスを作成するのが基本
///////////////////////////////////////////
class HELPDLG : public CDLG {
public:
	bool OnInit(WPARAM, LPARAM);
	bool OnIdok();
};

////////////////////////////////////////////////////////////////////////////
// HELPDLGクラスダイアログ変数の生成とそのコールバック関数（マクロ）を定義
// 複数同一クラスのダイアログを作成することを予期してコールバック関数を明記
////////////////////////////////////////////////////////////////////////////
HELPDLG helpdlg;

BEGIN_MODALDLGMSG(helpdlgProc, helpdlg)	//第1引数がコールバック関数の名前
	ON_COMMAND(helpdlg, IDOK, OnIdok())
END_DLGMSG

///////////////////////////////////////////
// CDLGクラスからVERSIONDLGクラスを派生
// 複数の同一ダイアログ変数とダイアログも作
// れるが、一つのダイアログに一つの派生ダイ
// アログクラスを作成するのが基本
///////////////////////////////////////////
class VERSIONDLG : public CDLG {
public:
	bool OnIdok();
};

////////////////////////////////////////////////////////////////////////////
// VERSIONDLGクラスダイアログ変数の生成とそのコールバック関数（マクロ）を定義
// 複数同一クラスのダイアログを作成することを予期してコールバック関数を明記
////////////////////////////////////////////////////////////////////////////
VERSIONDLG versiondlg;

BEGIN_MODALDLGMSG(versiondlgProc, versiondlg)	//第1引数がコールバック関数の名前
	ON_COMMAND(versiondlg, IDOK, OnIdok())
END_DLGMSG

